| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros
OgreGLRenderSystem.h File Reference
`#include "OgreGLPrerequisites.h"`
`#include "OgrePlatform.h"`
`#include "OgreRenderSystem.h"`
`#include "OgreGLHardwareBufferManager.h"`
`#include "OgreGLGpuProgramManager.h"`
`#include "OgreVector4.h"`
`#include "OgreGLRenderSystemCommon.h"`
`#include "OgreGLStateCacheManager.h"`

## Classes
class | Ogre::GLRenderSystem
| Implementation of GL as a rendering system. More...

## Namespaces
| Ogre
| Ogre::GLSL

## Macros
#define | MAX_LIGHTS 8
| Array of up to 8 lights, indexed as per API Note that a null value indicates a free slot. More...

## Macro Definition Documentation

## ◆ MAX_LIGHTS

#define MAX_LIGHTS 8

Array of up to 8 lights, indexed as per API Note that a null value indicates a free slot.